package biss.awt;

import biss.awt.Awt;
import biss.awt.Choice;
import biss.awt.DialogWindow;
import biss.awt.Label;
import biss.awt.Layouter;
import java.awt.AWTEvent;
import java.awt.Dimension;
import java.awt.Frame;
import java.awt.Insets;
import java.awt.Rectangle;
import java.util.Observable;
import java.util.Vector;

public class ChoicePrompter
  extends DialogWindow
{
	Label TP = new Label();
	Choice Entry;

public ChoicePrompter( String title, String text,  Vector data, Object defSel, int type, Frame owner ){
	super( owner, title, DISPATCHED);
	TP.setContents( text);

	Entry = new Choice( type, data);

	if ( defSel != null )
		Entry.setSelection( defSel);

	open();
}

public Dimension getPreferredSize() {
	int		tw = 30*Awt.SysFontWidth;
	int		th = TP.minHeight( tw) + 5*Awt.SysFontHeight;
	
	return new Dimension( tw, th);
}

public Object getSelection () {
	if ( WasCanceled )
		return null;
	return Entry.getSelection();
}

void init() {
	TP.wrapContents();
	TP.setCarved( false);
	TP.setBorder( Border.BS_NONE);
	TP.setAlignment( Label.HA_CENTER, Label.VA_CENTER);

	Entry.FBorder.setBorder( Border.BS_STEP);
	Entry.OsSelection.addObserver( this);

	DefCom = Entry;
	setCenterBounds();
}

public static void main ( String args[]) {
	Frame fr = new Frame( "ModalOwner");
	fr.setBounds( 100, 100, 100, 100);
	fr.setVisible( true);
	
	Vector choices = new Vector( 3);
	choices.addElement( "eins");
	choices.addElement( "zwei");
	choices.addElement( "drei");
	
	String txt = "Please select a choice \n from the appended list";
	ChoicePrompter cp = new ChoicePrompter( "My Prompter", txt,
	                                        choices, choices.firstElement(),
	                                        Choice.READ_WRITE, fr);
	System.out.println( cp.getSelection() );
	System.exit( 0);
}

public void open() {
	Lo.add( TP, 0, 0, 1000, 1000, true, 20, 20, -20, -200, 0);
	Lo.add( Entry, 0, 1000, 1000, 1000, true, 20, -180, -20, -20, 0);

	init();

	Rectangle bounds = getBounds();

	if ( bounds.width > 0)
		setVisible( true);
	else {
		bounds.setBounds( 3, 2283, 1543, 650);
		Awt.toPixelUnits( bounds);
		setBounds( bounds);
		setVisible( true);
	}
}

public void update ( Observable obs, Object arg ) {
	if ( obs == Entry.OsSelection ) {
		process();
	}
}
}
