package biss.awt;

import biss.ObserverSocket;
import java.awt.Point;

/**
 * interface implemented by GUIHandler clients interested in
 * mouse input processing
 *
 * (C) 1996,97 BISS GmbH Germany, see file 'LICENSE.BISS-AWT' for details
 * @author J.H.Mehlitz
 */
public interface MouseInterface
{
public ObserverSocket getOsMouseBtn();

public ObserverSocket getOsMouseEnter();

public ObserverSocket getOsMouseExit();

public void mouse1Click();

public void mouse1DblClick();

public void mouse1Down();

public void mouse1Up();

public void mouse2Click();

public void mouse2DblClick();

public void mouse2Down();

public void mouse2Up();

public void mouseEnter();

public void mouseExit();
}
