package biss.awt;

import java.awt.datatransfer.*;
import java.io.IOException;

public class StringTransfer
  implements ClipboardOwner
{
	static Clipboard Board = Awt.DefToolkit.getSystemClipboard();
	public static StringTransfer Default = new StringTransfer();
	static String LocalBoard;

public static String getContents () {
	if ( (Board == null) || ( ! Awt.SystemClipboard) )
		return LocalBoard;
		
	Transferable t = Board.getContents( Default);
	try {
		Object td = t.getTransferData( DataFlavor.stringFlavor);
		return (String)td;
	}
	catch ( IOException x){
		System.out.println( x);
	}
	catch ( UnsupportedFlavorException x) {
		System.out.println( x);
	}
	
	return null;
}

public void lostOwnership ( Clipboard c, Transferable t) {
}

public static void setContents ( String cont) {
	if ( (Board == null) || ( ! Awt.SystemClipboard) )
		LocalBoard = cont;
	else
		Board.setContents( new StringSelection( cont), Default);
}
}
