package biss.awt;

import java.awt.Toolkit;
import java.util.Properties;

public class DefaultProperties
  extends Properties
{
public DefaultProperties () {
	String tk = Toolkit.getDefaultToolkit().getClass().getName();

	if ( tk.equals( "sun.awt.motif.MToolkit"))
		put( "biss.awt.GlobalKeyMod", "META_MASK+ALT_MASK");
	else if ( tk.equals( "sun.awt.windows.WToolkit"))
		put( "biss.awt.GlobalKeyMod", "ALT_MASK");
	else if ( tk.equals( "sun.awt.os2.MToolkit") ||		//ver 1.0
					  tk.equals( "sun.awt.os2.WToolkit"))		//ver 1.1
		put( "biss.awt.GlobalKeyMod", "ALT_MASK");
	else
		put( "biss.awt.GlobalKeyMod", "META_MASK+ALT_MASK");

	put( "biss.awt.SpinDelay", "50");
	put( "biss.awt.GifPaths", ".");

	put( "biss.awt.ButtonBackClr", "lightGray");
	put( "biss.awt.ButtonForeClr", "darkGray");
	put( "biss.awt.ButtonAlertBackClr", "red");
	put( "biss.awt.ButtonAlertForeClr", "yellow");

	put( "biss.awt.ShadowBrightClr", "white");
	put( "biss.awt.ShadowDarkClr", "darkGray");
	put( "biss.awt.ShadowMedDarkClr", "gray");
	put( "biss.awt.ShadowMedBrightClr", "lightGray");	

	put( "biss.awt.FocusClr", "red");

	put( "biss.awt.EntryForeClr", "black");
	put( "biss.awt.EntryBackClr", "white");

	put( "biss.awt.ScrollInitDelay", "300");
	put( "biss.awt.ScrollDelay", "30");

	put( "biss.awt.SelForeClr", "white");
	put( "biss.awt.SelBackClr", "black");

	put( "biss.awt.ListForeClr", "black");
	put( "biss.awtListBackClr", "white");

	put( "biss.awt.ProgBarClr", "yellow");
	
	put( "biss.awt.InactiveClr", "gray");
	put( "biss.awt.WindowBackClr", "lightGray");

	put( "biss.awt.MenuBackClr", "lightGray");
	put( "biss.awt.MenuForeClr", "black");

	put( "biss.awt.StaticBackClr", "lightGray");
	put( "biss.awt.StaticForeClr", "darkGray");

	put( "biss.awt.ScrollBarClr", "gray");
	put( "biss.awt.CheckBtnSetClr", "yellow");
	put( "biss.awt.CheckBtnUnsetClr", "white");

	put( "biss.awt.ListExpandClr", "cyan");
}
}
