package biss.awt;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Rectangle;
import java.util.Observable;
import java.util.Observer;
import java.util.Vector;

public class ListTest
  extends TopWindow
  implements Observer
{
	ColumnList Pa = new ColumnList("Image,Index,ItemText");
	Layouter Lo = new Layouter( this);

public ListTest() {
	super( "ListTest");
	open();

	setContents();
}

Menu buildMenu() {
	Menu m = new Menu();
	Menu m2 = new Menu( "Sub1");
			 m2.add( "SubSub1");
			 m2.add( "SubSub2");
	Menu m1 = new Menu( "Fourth");
			 m1.add( m2);
			 m1.add( "Sub2");
	Menu m3 = new Menu( "Sixth");
			 m3.add( "Hallo1");
			 m3.add( "Hallo2");
	
	m.add("~Print");
	m.add("~First");
	m.add( "Second");
	m.add( "Thir~d");
	m.addSeparator();
	m.add( m1);
	m.add( "Fifth");
	m.add( m3);

	return m;
}

public void init() {
	Pa.OsProcess.addObserver( this);
	Pa.OsSelection.addObserver( this);
	Pa.OsCommand.addObserver( this);
	Pa.BaseCv.OsCommand.addObserver( this);

	Pa.setMenu( buildMenu());
}

public static void main(String args[]) {
	new ListTest();
}

public void open() {
	Lo.add( Pa, 0, 0, 1000, 1000, false, 0, 0, 0, 0, 0);

	init();
	openIn( 100, 200, 300, 300);
}

void procSel() {
	Object obj = Pa.getSelection();
	if ( obj instanceof SelfDrawingObject)
		setTitle( "proc: " + ((SelfDrawingObject)obj).label());
	else
		setTitle( "proc: " + obj.toString());
}

void setContents(){

	Image img = Awt.DefToolkit.getImage( "duke_small.gif");

	for( int i=0; i<50; i++){
		Pa.addElement( new TestDrawObject( i, "Hi, I'm duke !!!", img, 30));
		Pa.showLastObject();
	}
}

void showSel() {
	Object obj = Pa.getSelection();
	if ( obj == null)
		setTitle( "no selection");
	else if ( obj instanceof SelfDrawingObject)
		setTitle( "sel: " + ((SelfDrawingObject)obj).label());
	else
		setTitle( "sel: " + obj.toString());
}

public void unregisterObserver(){
}

public void update( Observable o, Object arg){
	if ( o == Pa.OsProcess )
		procSel();
	else if ( o == Pa.OsSelection )
		showSel();
	else if ( o == Pa.OsCommand )  {
		if ( "Print".equals( arg)) {
			PanePrinter pp = new PanePrinter( Pa, 20, 20);
			pp.printTo( "optest.ps");
		}
		else if ( "Fifth".equals( arg)){
			Menu m = Pa.getMenu();
			MenuItem mi = m.getItem( "Fifth");
			mi.setChecked( !mi.isChecked());
		}
			
	}
}
}
