package biss.awt;

import biss.awt.DecoText;
import biss.awt.ProgressBar;
import biss.awt.Slider;
import java.util.*;

public class ProgressWindow
  extends TopWindow
{
	Layouter Lo = new Layouter( this);
	HScrollBar HScroll = new HScrollBar(0,100,0);
	ProgressBar Bar = new ProgressBar();
	Slider Sldr = new Slider();
	DecoText Info = new DecoText("Move slider to see it happen");

ProgressWindow(String title) {
	super(title);
	open();
}

public void init() {
	Sldr.OsPosChanged.addObserver( this);
	Sldr.setValues( 0, 100, 0);
	Sldr.setScales( 10);
}

public static void main(String args[]) {
		new ProgressWindow("Action in progress ...");
}

public void open() {
	Lo.add( Bar, 58, 128, 938, 545, true, 20, -53, 26, -220, 0);
	Lo.add( Sldr, 61, 878, 935, 962, true, 20, -213, 33, 0, 0);
	Lo.add( Info, 61, 643, 935, 757, true, 20, -246, 20, -173, 0);

	init();
	openInDlgUnits( 2220, 1240, 2340, 1080);
}

public void update(Observable obs, Object arg) {

	if ( obs == Sldr.OsPosChanged )
		Bar.setValue( Sldr.getPosition());
}
}
