package biss.awt;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Rectangle;

public class TestDrawObject
  extends Object
  implements SelfDrawingObject
{
	int Height;
	String Num;
	String Text;
	static Font fb = new Font( "TimesRoman", Font.PLAIN, 13);
	static Font fs = new Font( "Helvetica", Font.BOLD, 11);
	Image Img;

public TestDrawObject ( int num, String text, Image img, int height){
	super();
	Num  = String.valueOf(num);
	Text = text;
	Img = img;
	Height = height;
}

public int drawHeight() {
	return Height;
}

public void drawSelfIn( Object o) {
	int  x1, x2;
	List op = (List) o;
	Rectangle r = op.DrawRect;
	Graphics  g = op.DrawGraphics;

	try {
		x1 = op.Header.Columns[1].XPos + 3;
		x2 = op.Header.Columns[2].XPos + 3;
	}
	catch ( Exception e) {
		x1 = r.x+30; x2 = r.x+50;
	}
		
	GraphicsLib.drawImageVCentered( g, Img, r.x,
	                                r.y, r.height, op);

	GraphicsLib.drawStringVCentered( g, Num, x1, r.y, r.height,
	                                 fs, Color.red, false);

	GraphicsLib.drawStringVCentered( g, Text, x2, r.y, r.height,
	                                 fb, op.DrawClrFore, false);
}

public String label() {
	return Num;
}

public int maxDrawWidth() {
	return 1000;
}
}
