package biss.awt;

import biss.awt.Layouter;
import biss.awt.TextArea;
import biss.awt.TextField;
import biss.awt.TopWindow;
import java.awt.Rectangle;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;
import java.io.PrintStream;
import java.util.Observable;
import java.util.Observer;

public class ConsoleTest1
  extends TopWindow
  implements Runnable, Observer
{
	Layouter Lo = new Layouter( this);
	TextField COut = new TextField();
	TextArea CIn = new TextArea();
	PrintStream SOut;

public ConsoleTest1() {
  super( "ConsoleTest1");
  open();
}

public void init() {
	COut.OsEnter.addObserver( this);
	
	Thread t = new Thread( this);
	t.setDaemon( true);
	t.start();
}

public static void main( String[] args) {
  new ConsoleTest1();
}

public void open() {
	Lo.add( COut, 0, 0, 1000, 0, true, 0, 0, 0, 200, 0);
	Lo.add( CIn, 0, 0, 1000, 1000, true, 0, 200, 0, 0, 2);

	init();
	openInDlgUnits( 773, 1160, 1993, 1166);
}

public void run() {
	int br;
	byte[] ba = new byte[255];
	
	try {
		PipedOutputStream pos  = new PipedOutputStream();
		PipedInputStream pis = new PipedInputStream( pos);

		SOut = new PrintStream( pos);
		
		while ( (br = pis.read( ba, 0, ba.length)) > 0) {
			CIn.setContents( new String( ba, 0, 0, br));
		}
	}
	catch( Exception e) {
		e.printStackTrace();
	}
	
}

public void update ( Observable obs, Object arg ) {
	if ( obs == COut.OsEnter){
		SOut.println( COut.getContents() );
		SOut.flush();
	}
}
}
