package biss.awt;

import java.awt.Image;
import java.util.Observable;
import java.util.Observer;
import java.util.Vector;

public class LeveledList_Test1
  extends TopWindow
  implements Leveler
{
	LeveledList LList = new LeveledList();
	Vector Cont = new Vector();
	Layouter Lo = new Layouter( this);

public LeveledList_Test1 () {
	super( "LeveledList");
	open();
}

public Vector getLeveledList ( Object o) {
	int s = Cont.size();
	Vector v = new Vector( s );
	int lvl = 0;

	for ( int i=0; i<100; i++){
		lvl = (int)(Math.random()*6);
		TestDrawObject tdo = (TestDrawObject)Cont.elementAt( i);
		LeveledObject.add( v, tdo, lvl);
	}

	
	LeveledObject.initialize( v);
	//  LeveledObject.expandToLevel( v, 1);
	return v;
}

public void init () {
	Menu m = new Menu();
	m.add( "Plain");
	m.add( "Leveled");
	m.add( "Select");
	m.add( "ExpandAll");
	m.add( "ShrinkAll");
	LList.setMenu( m);
	LList.OsCommand.addObserver( this);
	
	setLListContents();

	LList.setExpandImageClass( "biss.awt.ClosedFolder");
	LList.setShrinkImageClass( "biss.awt.OpenFolder");

}

public static void main ( String[] args) {
	new LeveledList_Test1();
}

public void open () {
	Lo.add( LList, 0, 0, 1000, 1000, true, 50, 50, -50, -50, 0);

	init();
	openIn( 100, 100, 300, 300);
}

public void setLListContents () {
	int h = 2*Awt.SysFontHeight;
	Image img = Awt.DefToolkit.getImage( "duke_small.gif");

	for ( int i=0; i<100; i++){
		TestDrawObject tdo = new TestDrawObject( i, "Hi duke", img, h);
		Cont.addElement( tdo);
	}

	LList.setContents( Cont, this);
}

public void update ( Observable obs, Object arg ) {
	if ( obs == LList.OsCommand) {
		if ( arg.equals( "Plain"))
			LList.setPlainMode( true, true);
		else if ( arg.equals( "Leveled"))
			LList.setPlainMode( false, true);
		else if ( arg.equals( "Select")){
			TextPrompter tp = new TextPrompter( "selection index", this);
			if ( ! tp.wasCanceled() )
				LList.setSelection( tp.getContentsAsInt(), true);
		}
		else if ( arg.equals( "ExpandAll"))
			LList.expandAll();
		else if ( arg.equals( "ShrinkAll"))
			LList.shrinkAll();
	}
}
}
